Package org.apache.catalina.mbeans

## Class MBeanDumper

- java.lang.Object
- - org.apache.catalina.mbeans.MBeanDumper

-     public class MBeanDumper
      extends java.lang.Object

  General helper to dump MBean contents to the log.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MBeanDumper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `dumpBeans​(javax.management.MBeanServer mbeanServer, java.util.Set<javax.management.ObjectName> names)` | The following code to dump MBeans has been copied from JMXProxyServlet.
    `static java.lang.String` | `escape​(java.lang.String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MBeanDumper

          public MBeanDumper()

  - ### Method Detail

    - #### dumpBeans

          public static java.lang.String dumpBeans​(javax.management.MBeanServer mbeanServer,
                                                   java.util.Set<javax.management.ObjectName> names)

      The following code to dump MBeans has been copied from JMXProxyServlet.
      Parameters:
        `mbeanServer` - the MBean server
        `names` - a set of object names for which to dump the info
      Returns:
        a string representation of the MBeans

    - #### escape

          public static java.lang.String escape​(java.lang.String value)